View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0012693VTK(No Category)public2011-11-01 04:532014-01-27 07:32
ReporterAndreas Buykx 
Assigned ToDavid Partyka 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version5.8.0 
Target Version5.8.1Fixed in Version 
Summary0012693: vtkMPASReader.cxx defines global variable PI
Descriptionvtk-5.8.0-source/IO/vtkMPASReader.cxx, line 104 defines a global variable PI.
double PI = 3.141592;

This global variable (of very limited precision) can easily clash with other definitions of PI, as in our case with a global PI in OpenCascade. This can easily lead to very hard to detect bugs: we spent roughly 5 man days until we found this ...

It looks like the variable declaration can safely be changed into a static declaration, hiding the variable from the global namespace.
TagsNo tags attached.
ProjectTBD
Typeincorrect functionality
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0027660)
Sean McBride (developer)
2011-11-04 15:53

http://review.source.kitware.com/3207 [^]
(0027671)
Sean McBride (developer)
2011-11-08 15:08

This is now fixed in git master.
(0031264)
Dave DeMarle (administrator)
2013-07-22 20:03

moving all "tabled" bugs into "backlog" category since "tabled" is no longer used.
(0031279)
Dave DeMarle (administrator)
2013-07-22 20:33

Dave P no longer works on the project. If these old issues still exist in 6.0.0, reopen them and assign to Dave DeMarle
(0032222)
Andreas Buykx (reporter)
2014-01-27 07:32

Code review of 6.1.0: no PI found in header anymore. Issue can be closed as far as I'm concerned.

- Issue History
Date Modified Username Field Change
2011-11-01 04:53 Andreas Buykx New Issue
2011-11-01 08:48 David Partyka Assigned To => David Partyka
2011-11-01 08:48 David Partyka Status backlog => tabled
2011-11-01 08:49 David Partyka Target Version => 5.8.1
2011-11-04 15:53 Sean McBride Note Added: 0027660
2011-11-08 15:08 Sean McBride Note Added: 0027671
2011-11-08 16:00 Sean McBride Source_changeset_attached => VTK master 70fa8325
2011-11-08 16:00 Sean McBride Source_changeset_attached => VTK master f3a01308
2011-11-11 16:00 Utkarsh Ayachit Source_changeset_attached => VTK master 1802e01c
2013-07-22 20:03 Dave DeMarle Status tabled => backlog
2013-07-22 20:03 Dave DeMarle Note Added: 0031264
2013-07-22 20:33 Dave DeMarle Status backlog => expired
2013-07-22 20:33 Dave DeMarle Note Added: 0031279
2014-01-27 07:32 Andreas Buykx Note Added: 0032222
2014-01-27 07:32 Andreas Buykx Status expired => closed
2014-01-27 07:32 Andreas Buykx Resolution open => fixed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker